const { ccclass, property } = cc._decorator;

@ccclass
export default class Helloworld extends cc.Component {

    onBtnClick() {
        cc.log('load button click')
        cc.assetManager.loadBundle('testBundle', { version: 'b4991' }, (err, bundle) => {
            if (!err) {
                bundle.load('prefabInBundle', (err, prefab: cc.Prefab) => {
                    if (!err) {
                        this.node.addChild(cc.instantiate(prefab));
                    } else {
                        cc.error(err);
                    }
                });
            } else {
                cc.error(err);
            }
        });
    }
}
